API reference
Administration overview
2 management API operations for Administration overview.
GET
/v1/admin/overviewPlatform Overview
GET/v1/institutions/{institution_id}/admin-overviewInstitution Overview
GET/v1/admin/overview
Platform Overview
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
cursor | query | string | null | No | |
limit | query | integer | No | Validation: minimum 1; maximum 50 |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/institutions/{institution_id}/admin-overview
Institution Overview
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
cursor | query | string | null | No | |
limit | query | integer | No | Validation: minimum 1; maximum 50 |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |